de.vc.jfo.renderer

## Class Avalon2JCLAdapter

- java.lang.Object
- - de.vc.jfo.renderer.Avalon2JCLAdapter

- All Implemented Interfaces:
    org.apache.avalon.framework.logger.Logger

      public class Avalon2JCLAdapter
      extends java.lang.Object
      implements org.apache.avalon.framework.logger.Logger

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Avalon2JCLAdapter(org.apache.commons.logging.Log log)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String message)`
    `void` | `debug(java.lang.String message, java.lang.Throwable throwable)`
    `void` | `error(java.lang.String message)`
    `void` | `error(java.lang.String message, java.lang.Throwable throwable)`
    `void` | `fatalError(java.lang.String message)`
    `void` | `fatalError(java.lang.String message, java.lang.Throwable throwable)`
    `org.apache.avalon.framework.logger.Logger` | `getChildLogger(java.lang.String name)`
    `void` | `info(java.lang.String message)`
    `void` | `info(java.lang.String message, java.lang.Throwable throwable)`
    `boolean` | `isDebugEnabled()`
    `boolean` | `isErrorEnabled()`
    `boolean` | `isFatalErrorEnabled()`
    `boolean` | `isInfoEnabled()`
    `boolean` | `isWarnEnabled()`
    `void` | `warn(java.lang.String message)`
    `void` | `warn(java.lang.String message, java.lang.Throwable throwable)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Avalon2JCLAdapter

          public Avalon2JCLAdapter(org.apache.commons.logging.Log log)

  - ### Method Detail

    - #### debug

          public void debug(java.lang.String message)

      Specified by:
        `debug` in interface `org.apache.avalon.framework.logger.Logger`

    - #### debug

          public void debug(java.lang.String message,
                   java.lang.Throwable throwable)

      Specified by:
        `debug` in interface `org.apache.avalon.framework.logger.Logger`

    - #### error

          public void error(java.lang.String message)

      Specified by:
        `error` in interface `org.apache.avalon.framework.logger.Logger`

    - #### error

          public void error(java.lang.String message,
                   java.lang.Throwable throwable)

      Specified by:
        `error` in interface `org.apache.avalon.framework.logger.Logger`

    - #### fatalError

          public void fatalError(java.lang.String message)

      Specified by:
        `fatalError` in interface `org.apache.avalon.framework.logger.Logger`

    - #### fatalError

          public void fatalError(java.lang.String message,
                        java.lang.Throwable throwable)

      Specified by:
        `fatalError` in interface `org.apache.avalon.framework.logger.Logger`

    - #### info

          public void info(java.lang.String message)

      Specified by:
        `info` in interface `org.apache.avalon.framework.logger.Logger`

    - #### info

          public void info(java.lang.String message,
                  java.lang.Throwable throwable)

      Specified by:
        `info` in interface `org.apache.avalon.framework.logger.Logger`

    - #### warn

          public void warn(java.lang.String message)

      Specified by:
        `warn` in interface `org.apache.avalon.framework.logger.Logger`

    - #### warn

          public void warn(java.lang.String message,
                  java.lang.Throwable throwable)

      Specified by:
        `warn` in interface `org.apache.avalon.framework.logger.Logger`

    - #### getChildLogger

          public org.apache.avalon.framework.logger.Logger getChildLogger(java.lang.String name)

      Specified by:
        `getChildLogger` in interface `org.apache.avalon.framework.logger.Logger`

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Specified by:
        `isDebugEnabled` in interface `org.apache.avalon.framework.logger.Logger`

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Specified by:
        `isErrorEnabled` in interface `org.apache.avalon.framework.logger.Logger`

    - #### isFatalErrorEnabled

          public boolean isFatalErrorEnabled()

      Specified by:
        `isFatalErrorEnabled` in interface `org.apache.avalon.framework.logger.Logger`

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Specified by:
        `isInfoEnabled` in interface `org.apache.avalon.framework.logger.Logger`

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Specified by:
        `isWarnEnabled` in interface `org.apache.avalon.framework.logger.Logger`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.